Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	1.8.5
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source1:	radvd.init
Source2:	radvd.conf
Source3:	radvd.sysconfig
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	flex bison

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.

%prep
%setup -q
cp %{SOURCE1} radvd.init
cp %{SOURCE2} radvd.conf
cp %{SOURCE3} radvd.sysconfig

%build
%serverbuild
%configure2_5x --with-pidfile=%{_localstatedir}/run/%{name}/%{name}.pid
%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_localstatedir}/run/%{name}

install -m0644 radvd.conf %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 radvd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -m0755 radvd.init %{buildroot}%{_initrddir}/radvd
perl -pi -e "s|/etc/rc.d/init\.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd radvd / /sbin/nologin

%post
%_post_service radvd

%preun
%_preun_service radvd

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_initrddir}/radvd
%{_sbindir}/*
%{_mandir}/*/*
%dir %attr(-,radvd,radvd) %{_localstatedir}/run/%{name}


%changelog

* Mon Mar 05 2012 misc <misc> 1.8.5-1.mga2
+ Revision: 218537
- new version of radvd

* Sat Oct 15 2011 misc <misc> 1.8.3-1.mga2
+ Revision: 155329
- new version 1.8.3

* Sat Oct 08 2011 misc <misc> 1.8.2-1.mga2
+ Revision: 153072
- upgrade to 1.8.2 ( security fix )

* Thu Jun 23 2011 ahmad <ahmad> 1.8-2.mga2
+ Revision: 112822
- Create a system user for radvd and own %%{_localstatedir}/run/%%{name}
- Change configure options so that the .pid file is in %%{_localstatedir}/run/%%{name}

* Thu Jun 23 2011 cjw <cjw> 1.8-1.mga2
+ Revision: 112814
- 1.8

* Tue Mar 08 2011 mikala <mikala> 1.7-1.mga1
+ Revision: 66622
- Update tarball to 1.7
- Remove BuildRoot tag
- imported package radvd

